Update organization mesh settings
Changes an organization’s mesh provider, a provider’s settings, or whether new realms get A2A turned on.
Requires a role with the org.settings permission in the organization given by org_id.
POST
/
v1
/
orgs
/
mesh
/
update
Update organization mesh settings
curl --request POST \
--url https://{host}/v1/orgs/mesh/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"auto_enable_a2a_on_realm_create": true
}
'import requests
url = "https://{host}/v1/orgs/mesh/update"
payload = {
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"auto_enable_a2a_on_realm_create": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
org_id: '2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f',
auto_enable_a2a_on_realm_create: true
})
};
fetch('https://{host}/v1/orgs/mesh/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/orgs/mesh/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'org_id' => '2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f',
'auto_enable_a2a_on_realm_create' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/orgs/mesh/update"
payload := strings.NewReader("{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"auto_enable_a2a_on_realm_create\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/orgs/mesh/update")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"auto_enable_a2a_on_realm_create\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/orgs/mesh/update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"auto_enable_a2a_on_realm_create\": true\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"org_slug": "acme",
"active_provider_id": null,
"providers": {},
"auto_enable_a2a_on_realm_create": false,
"adapters": []
}
Authorizations
User PAT (cliq_tok_…, including session-scoped) or realm token (cliq_dt_…).
Body
application/json
The organization.
Minimum string length:
1The provider to use, or null for none.
Turn A2A on for new realms.
A provider whose settings to change (with provider_settings).
Settings for provider_id.
Response
Success.
Always true on success.
Available options:
true ⌘I
Update organization mesh settings
curl --request POST \
--url https://{host}/v1/orgs/mesh/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"auto_enable_a2a_on_realm_create": true
}
'import requests
url = "https://{host}/v1/orgs/mesh/update"
payload = {
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"auto_enable_a2a_on_realm_create": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
org_id: '2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f',
auto_enable_a2a_on_realm_create: true
})
};
fetch('https://{host}/v1/orgs/mesh/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/orgs/mesh/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'org_id' => '2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f',
'auto_enable_a2a_on_realm_create' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/orgs/mesh/update"
payload := strings.NewReader("{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"auto_enable_a2a_on_realm_create\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/orgs/mesh/update")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"auto_enable_a2a_on_realm_create\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/orgs/mesh/update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"auto_enable_a2a_on_realm_create\": true\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"org_slug": "acme",
"active_provider_id": null,
"providers": {},
"auto_enable_a2a_on_realm_create": false,
"adapters": []
}